<?php
function debug($variable) {
echo "<pre>";
print_r($variable);
echo "</pre>";
}

function parametro($nombre,$default) {
	$tmp="";
	if (isset($_POST[$nombre])) {
		$tmp=$_POST[$nombre];
	} else {
		if (isset($_GET[$nombre])) {
			$tmp=$_GET[$nombre];
		} else {
			$tmp=$default;			
		}
	}
	return $tmp;
}


function crearlinkgenerico($url) {
	// la url no requiere "/", ejemplo url = archivo.php  imagen/archivo.jpg , etc.
	$tmpa=explode("/",$_SERVER["PHP_SELF"]);
	$nom_arch=$tmpa[count($tmpa)-1];
	$ruta=str_replace($nom_arch,"",$_SERVER["PHP_SELF"]);
	
	$tmp="http://".$_SERVER["HTTP_HOST"].$ruta.$url;
	return $tmp;
}

function cnv_estado_caming($estado,$posicion_puerta) {
	$nombreimg="";
		if (strpos(".","posicion_puerta")<=0) {
		switch (trim($estado)) {
			case 0: // VALIDO.
				$nombreimg="gris".$posicion_puerta.".jpg";			
				break;
			case 4: // NO HABILITADO
				$nombreimg="blanca".$posicion_puerta.".jpg";
				
				break;
			
			default:
				$nombreimg="roja".$posicion_puerta.".jpg";
				break;
			
		}
	} else {
		$nombreimg=$posicion_puerta;	
	}
	return "images/camaras/".$nombreimg;
}
function cnv_estado_window($estado) {
	$nombreimg="";
	switch (trim($estado)) {
		case -1: // VALIDO.
			//$nombreimg="spWinSilverxpContainer";
			$nombreimg="spWinGreyxpContainer";
			$nombreimg="spWingrayosxContainer";			
			
			break;
		case 4: // NO HABILITADO
			$nombreimg="spWinosxContainer";
			break;
		case 0: // PROCESO
			$nombreimg="spWinWinxpContainer";
			$nombreimg="spWinblueosxContainer";
			break;
		default: // Errror
		
			$nombreimg="spWinRedxpContainer";			
			$nombreimg="spWinredosxContainer";
			break;
		
	}
	return $nombreimg;
}

?>